DVCSRequestInformation (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.dvcs

## Class DVCSRequestInformation

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.DVCSRequestInformation

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DVCSRequestInformation
      extends ASN1Object

           DVCSRequestInformation ::= SEQUENCE  {
               version                      INTEGER DEFAULT 1 ,
               service                      ServiceType,
               nonce                        Nonce OPTIONAL,
               requestTime                  DVCSTime OPTIONAL,
               requester                    [0] GeneralNames OPTIONAL,
               requestPolicy                [1] PolicyInformation OPTIONAL,
               dvcs                         [2] GeneralNames OPTIONAL,
               dataLocations                [3] GeneralNames OPTIONAL,
               extensions                   [4] IMPLICIT Extensions OPTIONAL
           }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneralNames` | `getDataLocations()`
    `GeneralNames` | `getDVCS()`
    `Extensions` | `getExtensions()`
    `static DVCSRequestInformation` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static DVCSRequestInformation` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getNonce()`
    `GeneralNames` | `getRequester()`
    `PolicyInformation` | `getRequestPolicy()`
    `DVCSTime` | `getRequestTime()`
    `ServiceType` | `getService()`
    `int` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DVCSRequestInformation getInstance(java.lang.Object obj)

    - #### getInstance

          public static DVCSRequestInformation getInstance(ASN1TaggedObject obj,
                                                           boolean explicit)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getVersion

          public int getVersion()

    - #### getService

          public ServiceType getService()

    - #### getNonce

          public java.math.BigInteger getNonce()

    - #### getRequestTime

          public DVCSTime getRequestTime()

    - #### getRequester

          public GeneralNames getRequester()

    - #### getRequestPolicy

          public PolicyInformation getRequestPolicy()

    - #### getDVCS

          public GeneralNames getDVCS()

    - #### getDataLocations

          public GeneralNames getDataLocations()

    - #### getExtensions

          public Extensions getExtensions()